@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;400;600&display=swap");

* {
    box-sizing: border-box;
}

body {
    background-image: url(../image/back.jpg);
    background-repeat: no-repeat;
    background-size: 100%;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: "Poppins", sans-serif;
    margin: 0;
    min-height: 100vh;
}

.fundo-gerador {
    background-color: rgb(0, 0, 0);
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.5);
    min-width: 420px;
    border-radius: 15px;
}

.header {
    padding: 15px;
}

.senha {
    background-color: rgb(0, 185, 231) ;
    display: flex;
    font-size: 25px;
    align-items: center;
    height: 70px;
    width: 100%;
    position: relative;
    padding: 15px;
    overflow: auto;
}

.senha button {
    background-color: white;
    border: none;
    color: rgb(29, 2, 56);
    cursor: pointer;
    font-family: inherit;
    font-weight: bold;
    padding: 5px;
    position: absolute;
    top: 0;
    right: 0;
    transform: translate(0, 20%);
    transition: opacity 0.2s ease, transform 0.2s ease;
    opacity: 0;
}

.senha:hover button {
    opacity: 1;
    transform: translate(0, 0%);
}

.senha-body {
    padding: 0 15px 15px;
}

.form-control {
    color: #eee;
    display: flex;
    justify-content: space-between;
    margin: 15px 0;
}

.generate {
    background-color: rgb(1, 204, 255);
    border: none;
    color: rgb(0, 0, 0);
    cursor: pointer;
    display: block;
    font-size: 25px;
    font-weight: bold;
    padding: 20px;
    margin-top: 20px;
    width: 100%;
}

.generate:hover{
    background-color: rgb(4, 134, 167);
}